> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteRecurringPayItem

> The `deleteRecurringPayItem` API is used to completely remove a recurring pay item for an employee.

### What it does:
- Removes an existing recurring pay item for an employee
- Removes the pay item from open pay periods

### Notes:
- If you do not need to remove the pay item completely, please use the `updateRecurringPayItem` API
- Once deleted, a recurring pay item of the same `type` can be re-added to an employee



## OpenAPI

````yaml delete /adminPortal/deleteRecurringPayItem
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/deleteRecurringPayItem:
    delete:
      tags: []
      summary: deleteRecurringPayItem
      description: >-
        The `deleteRecurringPayItem` API is used to completely remove a
        recurring pay item for an employee.


        ### What it does:

        - Removes an existing recurring pay item for an employee

        - Removes the pay item from open pay periods


        ### Notes:

        - If you do not need to remove the pay item completely, please use the
        `updateRecurringPayItem` API

        - Once deleted, a recurring pay item of the same `type` can be re-added
        to an employee
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                userId:
                  type: string
                type:
                  type: string
              required:
                - method
                - companyId
                - userId
                - type
            example:
              method: deleteRecurringPayItem
              companyId: 336CB829-543B-451D-AAA2-18A1B03454F2
              userId: 80FBE5FA-3BE3-4CDA-A396-17CA4DF4B965
              type: 125Adoption Assistance Sup
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - status
                  - message
              example:
                Status: Success
                Message: Recurring pay item deleted successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid companyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````